Bug 741049 - [abrt] gnome-games-3.1.92-1.fc16: types.py:43:function:TypeError: Expected a Gdk.Event, but got EventButton
Summary: [abrt] gnome-games-3.1.92-1.fc16: types.py:43:function:TypeError: Expected a ...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-games
Version: 16
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:9ab899460a780ce0e0babb110ce...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-24 17:32 UTC by Jeremy Bicha
Modified: 2012-01-05 03:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-01-05 03:08:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 857603 None None None Never

Description Jeremy Bicha 2011-09-24 17:32:28 UTC
abrt version: 2.0.5
cmdline:        python /usr/bin/gnome-sudoku
comment:        Clicking the top or bottom part of the square (used to add a hint) doesn't work and spews out a traceback when run from the terminal. The game still continues to play though.
executable:     /usr/bin/gnome-sudoku
kernel:         3.1.0-0.rc6.git0.3.fc16.x86_64
reason:         types.py:43:function:TypeError: Expected a Gdk.Event, but got EventButton
time:           Sat Sep 24 13:30:05 2011

backtrace:
:types.py:43:function:TypeError: Expected a Gdk.Event, but got EventButton
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/gnome_sudoku/number_box.py", line 194, in button_press_cb
:    x, y = e.get_coords()
:  File "/usr/lib64/python2.7/site-packages/gi/overrides/Gdk.py", line 207, in cull_success
:    result = func(*args)
:  File "/usr/lib64/python2.7/site-packages/gi/types.py", line 43, in function
:    return info.invoke(*args, **kwargs)
:TypeError: Expected a Gdk.Event, but got EventButton
:
:Local variables in innermost frame:
:info: <gi.FunctionInfo object (get_coords) at 0x0x7fe8a7cfa518>
:args: (<void at 0x14588a0>,)
:kwargs: {}

smolt_data:
:
:
:General
:=================================
:UUID: 4352f880-7343-423e-8107-bf8ac078e9f2
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_GB.utf8
:Platform: x86_64
:BogoMIPS: 3990.37
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Core(TM)2 Duo CPU     T5800  @ 2.00GHz
:CPU Stepping: 13
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 2000
:System Memory: 3826
:System Swap: 4996
:Vendor: TOSHIBA
:System: Satellite L305 PSLB8U-05202F
:Form factor: Notebook
:Kernel: 3.1.0-0.rc6.git0.3.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10521:4473:65382) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(4332:33078:4473:65382) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:(32902:10818:4473:65382) pci, i915, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10819:4473:65382) pci, None, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10560:4473:65382) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:4473:65382) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10568:4473:65382) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:4473:65382) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(32902:10537:4473:65382) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10549:4473:65382) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:10544:4473:65382) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:9288:4473:65382) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:16946:32902:4609) pci, iwlagn, NETWORK, WiFi Link 5100 AGN
:(32902:10548:4473:65382) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(32902:10551:4473:65382) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(32902:10552:4473:65382) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:(32902:10816:4473:65382) pci, agpgart-intel, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10550:4473:65382) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10553:4473:65382) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10554:4473:65382) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4473:65382) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda9 / ext4 4096 4096 3844092 2548869 2509826 983040 890887 890887
:/dev/sr0 WITHHELD iso9660 UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN UNKNOWN
:

Comment 1 Jeremy Bicha 2011-09-24 17:34:17 UTC
Added link to Ubuntu ug.

Comment 2 Misha Shnurapet 2011-10-07 14:43:06 UTC
Package: gnome-games-3.2.0-1.fc16
Architecture: x86_64
OS Release: Fedora release 16 (Verne)

Comment
-----
no steps to reproduce

Comment 3 Jeremy Bicha 2012-01-05 03:08:02 UTC
I believe this bug has been fixed. Thanks!


Note You need to log in before you can comment on or make changes to this bug.